# $Revision: 1.59 $, $Date: 2004/08/18 16:21:18 $
Summary:	Process accounting tools
Summary(es):	Herramientas de contabilidad de procesos
Summary(pl):	Program do logowania procesw uytkownikw
Summary(pt_BR):	Ferramentas de contabilizao de processos
Summary(uk):	̦  Φ Ԧ Ӧ
Summary(ru):	    
Name:		psacct
Version:	6.3.5
Release:	11
License:	GPL
Group:		Applications/System
# there is only 6.3.2 on ftp://ftp.gnu.org/pub/gnu/acct/
# GNU page points to Debian resources, but they have modified ".orig" package
# and we have something else in CVS, which probably matches this:
Source0:	ftp://ftp.pl.openwall.com/pub/Owl/pool/sources/acct/acct-%{version}.tar.gz
# Source0-md5:	a982333648d68e0eabf87989a1e5427b
Source1:	acct.logrotate
Source2:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source2-md5:	85eb213fc45fad1c7834d239ff8e28a4
Source3:	acct.sysinit
Source4:	acct.sysconfig
Patch0:		acct-info.patch
Patch1:		acct-amfix.patch
Patch2:		%{name}-ac_am.patch
Patch3:		%{name}-path.patch
URL:		http://www.gnu.org/directory/GNU/acct.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	texinfo
Requires:	logrotate
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The tools necessary for accounting the activities of processes are
included here.

%description -l es
Estn incluidas aqu las herramientas necesarias para contabilizar las
actividades de procesos.

%description -l pl
Narzdzia niezbdne do logowania wszystkich procesw i komend
uytkownikw oraz monitorowania systemu.

%description -l pt_BR
As ferramentas necessrias para contabilizar as atividades de
processos esto includas aqui.

%description -l uk
  ͦ ̦      Ԧ Ӧ.

%description -l ru
         
.

%prep
%setup -q -n acct-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d,logrotate.d,sysconfig},%{_prefix},/sbin,/var/log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT{%{_sbindir}/accton,/sbin/accton}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/acct
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/rc.acct
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/acct
bzip2 -dc %{SOURCE2} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

touch $RPM_BUILD_ROOT/var/log/{pacct,usracct,savacct}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
if [ "$1" = "1" ]; then
	/etc/rc.d/rc.acct stop 1>&2
	echo "Type \"/etc/rc.d/rc.acct start\" to run accounting."
	touch /var/log/{pacct,usracct,savacct}
	chmod 640 /var/log/{pacct,usracct,savacct}
else
	/etc/rc.d/rc.acct reload 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	/etc/rc.d/rc.acct stop 1>&2
fi

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc {ChangeLog,NEWS,README}*
%attr(754,root,root) /etc/rc.d/rc.acct
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/acct
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/logrotate.d/acct
%attr(640,root,root) %ghost /var/log/pacct
%attr(640,root,root) %ghost /var/log/usracct
%attr(640,root,root) %ghost /var/log/savacct

%attr(755,root,root) %{_bindir}/ac
%attr(755,root,root) %{_bindir}/lastcomm
%attr(755,root,root) /sbin/accton
%attr(755,root,root) %{_sbindir}/dump-acct
%attr(755,root,root) %{_sbindir}/sa

%{_mandir}/man1/ac.1*
%{_mandir}/man1/lastcomm.1*
%{_mandir}/man8/sa.8*
%{_mandir}/man8/accton.8*
%lang(fi) %{_mandir}/fi/man1/ac.1*
%lang(fi) %{_mandir}/fi/man1/lastcomm.1*
%lang(fr) %{_mandir}/fr/man8/accton.8*
%lang(pl) %{_mandir}/pl/man1/ac.1*

%{_infodir}/accounting.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psacct.spec,v $
Revision 1.59  2004/08/18 16:21:18  undefine
- release 11

Revision 1.58  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.57  2003/08/12 19:31:36  qboosh
- some changes to fix the "where is my disk space???!!!" issue:
  - separated sysinit script to be called from rc.sysinit/rc.shutdown/logrotate
  - made it configurable through /etc/sysconfig/acct
  - use it in postrotate script in logrotate file
- release 10

Revision 1.56  2003/06/02 15:48:33  ankry
- added/restored non-english-man-pages URL

Revision 1.55  2003/05/28 13:01:24  malekith
- massive attack: source-md5

Revision 1.54  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2002/12/28 16:25:13  qboosh
- added URL, changed Source0 URL to working one

Revision 1.52  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.51  2002/12/16 07:45:15  aniou
- fixed typo in message: s/actton/accton/

Revision 1.50  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.49  2002/07/21 19:13:03  kloczek
- texinfo added to BuildRequires.

Revision 1.48  2002/07/21 18:55:53  undefine
- {uk,ru} {description,summary} from KSI
- %{name}-ac_am.patch to allow compile with new ac/am
- %{name}-path.patch to change path from /var/account to /var/log
- move /usr/sbin/accton to /sbin/accton to work with rc-scripts
- release 9
- stbr

Revision 1.47  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.45  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/01/18 02:14:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2001/11/21 22:43:25  ankry
- added fi, fr, pl man pages
- release 8

Revision 1.42  2001/10/21 13:33:30  kloczek
- merge translations from CNV.

Revision 1.41  2001/10/21 13:07:59  qboosh
- amfix patch for automake 1.5
- removed bashisms from post/preun
- release 7

Revision 1.40  2001/10/04 07:55:35  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.39  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.37  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.36  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.35  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.34  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.33  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.32  2000/05/15 19:41:00  kloczek
- release 6.

Revision 1.31  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.30  2000/04/20 20:48:43  kloczek
- release 4,
- added missing %dir /var/account.

Revision 1.29  2000/04/19 18:56:22  kloczek
- place directly acct instead %%{name} in two required places.

Revision 1.28  2000/04/19 18:39:19  kloczek
- back to psacct package name.

Revision 1.26  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.24  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.23  1999/09/19 10:21:03  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.22  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 27 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.3.5-1]
- up version (from debian devel ;)

* Mon May 24 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.3.2-7]
- FHS 2.0,
- rotate logs,
- added %doc,
- more macros.

* Wed Jan 06 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [6.3.2-5]
- added gzipping man pages,
- standarized {un}registering info pages (added acct-info.patch).

* Sun Nov 22 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [6.3.2-3]
- fixed --entry text on {un}registering info page for ed in %post
  %preun.

* Fri Oct 09 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [6.3.2-2]
- fixed pl translation,
- Obsoletes psacct,
- minor changes.

* Tue Aug 11 1998 Wojtek lusarczyk <wojtek@SHADOW.EU.ORG>
  [6.3.2-1]
- translation modified for pl,
- moved %changelog at the end of spec,
- added %defattr support,
- changed permissions of binaries to 700,
- added %verify support for pacct, usracct, savacct,
- added rpm_opt_flags support,
- build from non root's account,
- major changes,
- start at RH spec file.
